## zygrib 6.0.2

=== Makefile ===
QTBIN=/usr/bin
#QTBIN=/opt/qt/qt/bin
#QTBIN=/usr/local/Trolltech/Qt-4.7.0/bin

INSTALLDIR=$(HOME)/zyGrib

MACQTBIN=/opt/local/bin

all: zyGrib

SRC= src/*.h src/*.cpp \
     src/*/*.h src/*/*.cpp src/*/*.c \
     src/*/*/*.h src/*/*/*.c \


mac: $(SRC)
	rm -f  ./zyGrib
	rm -fr ./zyGrib.app
	rm -f  src/Makefile
	cd src/bzip2; $(MACQTBIN)/qmake; make -j5
	cd src/zlib-1.2.3; $(MACQTBIN)/qmake; make -j5
	cd src/proj-4.6.0/src/; $(MACQTBIN)/qmake; make -j5
	cd src; $(MACQTBIN)/qmake; make -j5

clean:
	rm -f  zyGrib
	rm -fr zyGrib.app
	rm -f  src/zyGrib
	rm -f  src/release/zyGrib.exe
	cd src;	$(QTBIN)/qmake; make clean

veryclean:
	rm -f  zyGrib
	rm -fr zyGrib.app
	rm -f  src/zyGrib
	rm -f  src/release/zyGrib.exe
	cd src/bzip2; $(QTBIN)/qmake; make clean
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make clean
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make clean
	cd src;	$(QTBIN)/qmake; make clean
	rm -f src/zlib-1.2.3/libz.a
	rm -f src/proj-4.6.0/src/libproj.a
	rm -f src/bzip2/libbz2.a

zyGrib: $(SRC)
	@ echo
	@ echo
	rm -f ./zyGrib
	cd src/bzip2; $(QTBIN)/qmake; make -j5
	cd src/zlib-1.2.3; $(QTBIN)/qmake; make -j5
	cd src/proj-4.6.0/src/; $(QTBIN)/qmake; make -j5
	cd src; $(QTBIN)/qmake; make -j5
	@ echo "-----------------------------------"
	@ echo "#!/bin/bash" >> ./zyGrib
	@ echo "cd `pwd`" >> ./zyGrib
	@ echo 'src/zyGrib $$*' >> ./zyGrib
	@ chmod 755 ./zyGrib

install: zyGrib
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/bin
	cp -a data $(INSTALLDIR)
	cp -a grib $(INSTALLDIR)
	rm -f ./zyGrib
	rm -f $(INSTALLDIR)/bin/zyGrib
	cp  -a src/zyGrib $(INSTALLDIR)/bin
	echo "#!/bin/bash" >> ./zyGrib
	echo "cd $(INSTALLDIR)" >> ./zyGrib
	echo 'bin/zyGrib $$*' >> ./zyGrib
	chmod 755 ./zyGrib
	cp -af zyGrib $(INSTALLDIR)

=== src/Makefile ===
#############################################################################
# Makefile for building: zyGrib
# Generated by qmake (2.01a) (Qt 4.8.1) on: dim. sept. 30 22:23:42 2012
# Project:  zyGrib.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile zyGrib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Ibzip2 -Izlib-1.2.3 -Iproj-4.6.0/src -Icurvedrawer -I/usr/include/qwt -Iobjs -IGUI
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lbz2 -lz -lproj -lqwt -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = GUI/PositionEditorWidget.cpp \
		GUI/ColorEditorWidget.cpp \
		GUI/LineEditorWidget.cpp \
		GUI/TextStyleEditorWidget.cpp \
		GUI/AngleConverterWidget.cpp \
		GUI/AngleConverterDialog.cpp \
		curvedrawer/BoatSpeed.cpp \
		curvedrawer/CurveDrawer.cpp \
		curvedrawer/CustomQwtClasses.cpp \
		MbzFile.cpp \
		MblueRecord.cpp \
		MblueReader.cpp \
		MbluePlot.cpp \
		BoardPanel.cpp \
		ColorScale.cpp \
		ColorScaleWidget.cpp \
		DataColors.cpp \
		DataQString.cpp \
		DataMeteoAbstract.cpp \
		DataPointInfo.cpp \
		DateChooser.cpp \
		DialogBoxColumn.cpp \
		DialogFonts.cpp \
		DialogGraphicsParams.cpp \
		DialogLoadGRIB.cpp \
		DialogLoadIAC.cpp \
		DialogLoadMBLUE.cpp \
		DialogProxy.cpp \
		DialogSelectMetar.cpp \
		DialogServerStatus.cpp \
		DialogUnits.cpp \
		FileLoaderGRIB.cpp \
		FileLoaderIAC.cpp \
		FileLoaderMBLUE.cpp \
		util/Font.cpp \
		GriddedPlotter.cpp \
		GriddedReader.cpp \
		GriddedRecord.cpp \
		map/GshhsRangsReader.cpp \
		map/GshhsReader.cpp \
		GribAnimator.cpp \
		GribPlot.cpp \
		map/GisReader.cpp \
		GribReader.cpp \
		GribRecord.cpp \
		IacPlot.cpp \
		IacReader.cpp \
		IacReaderUtil.cpp \
		ImageWriter.cpp \
		IrregularGridded.cpp \
		IsoLine.cpp \
		LongTaskProgress.cpp \
		LonLatGrid.cpp \
		main.cpp \
		MainWindow.cpp \
		MapDrawer.cpp \
		MenuBar.cpp \
		Metar.cpp \
		MeteoTable.cpp \
		MeteoTableWidget.cpp \
		MeteotableOptionsDialog.cpp \
		util/Orthodromie.cpp \
		map/POI.cpp \
		map/POI_Editor.cpp \
		map/PositionEditor.cpp \
		map/Projection.cpp \
		map/Projection_libproj.cpp \
		util/Settings.cpp \
		SkewT.cpp \
		SkewTWindow.cpp \
		Terrain.cpp \
		Therm.cpp \
		util/Util.cpp \
		util/zuFile.cpp objs/moc_PositionEditorWidget.cpp \
		objs/moc_ColorEditorWidget.cpp \
		objs/moc_LineEditorWidget.cpp \
		objs/moc_TextStyleEditorWidget.cpp \
		objs/moc_AngleConverterWidget.cpp \
		objs/moc_AngleConverterDialog.cpp \
		objs/moc_CurveDrawer.cpp \
		objs/moc_BoardPanel.cpp \
		objs/moc_ColorScaleWidget.cpp \
		objs/moc_DataQString.cpp \
		objs/moc_DateChooser.cpp \
		objs/moc_DialogBoxColumn.cpp \
		objs/moc_DialogFonts.cpp \
		objs/moc_DialogGraphicsParams.cpp \
		objs/moc_DialogLoadGRIB.cpp \
		objs/moc_DialogLoadIAC.cpp \
		objs/moc_DialogLoadMBLUE.cpp \
		objs/moc_DialogProxy.cpp \
		objs/moc_DialogSelectMetar.cpp \
		objs/moc_DialogServerStatus.cpp \
		objs/moc_DialogUnits.cpp \
		objs/moc_FileLoaderGRIB.cpp \
		objs/moc_FileLoaderIAC.cpp \
		objs/moc_FileLoaderMBLUE.cpp \
		objs/moc_GribAnimator.cpp \
		objs/moc_ImageWriter.cpp \
		objs/moc_LongTaskProgress.cpp \
		objs/moc_Metar.cpp \
		objs/moc_MeteoTable.cpp \
		objs/moc_MeteoTableWidget.cpp \
		objs/moc_MeteotableOptionsDialog.cpp \
		objs/moc_MainWindow.cpp \
		objs/moc_MapDrawer.cpp \
		objs/moc_MenuBar.cpp \
		objs/moc_POI.cpp \
		objs/moc_POI_Editor.cpp \
		objs/moc_PositionEditor.cpp \
		objs/moc_Projection.cpp \
		objs/moc_SkewT.cpp \
		objs/moc_Terrain.cpp \
		objs/moc_Util.cpp
OBJECTS       = objs/PositionEditorWidget.o \
		objs/ColorEditorWidget.o \
		objs/LineEditorWidget.o \
		objs/TextStyleEditorWidget.o \
		objs/AngleConverterWidget.o \
		objs/AngleConverterDialog.o \
		objs/BoatSpeed.o \
		objs/CurveDrawer.o \
		objs/CustomQwtClasses.o \
		objs/MbzFile.o \
		objs/MblueRecord.o \
		objs/MblueReader.o \
		objs/MbluePlot.o \
		objs/BoardPanel.o \
		objs/ColorScale.o \
		objs/ColorScaleWidget.o \
		objs/DataColors.o \
		objs/DataQString.o \
		objs/DataMeteoAbstract.o \
		objs/DataPointInfo.o \
		objs/DateChooser.o \
		objs/DialogBoxColumn.o \
		objs/DialogFonts.o \
		objs/DialogGraphicsParams.o \
		objs/DialogLoadGRIB.o \
		objs/DialogLoadIAC.o \
		objs/DialogLoadMBLUE.o \
		objs/DialogProxy.o \
		objs/DialogSelectMetar.o \
		objs/DialogServerStatus.o \
		objs/DialogUnits.o \
		objs/FileLoaderGRIB.o \
		objs/FileLoaderIAC.o \
		objs/FileLoaderMBLUE.o \
		objs/Font.o \
		objs/GriddedPlotter.o \
		objs/GriddedReader.o \
		objs/GriddedRecord.o \
		objs/GshhsRangsReader.o \
		objs/GshhsReader.o \
		objs/GribAnimator.o \
		objs/GribPlot.o \
		objs/GisReader.o \
		objs/GribReader.o \
		objs/GribRecord.o \
		objs/IacPlot.o \
		objs/IacReader.o \
		objs/IacReaderUtil.o \
		objs/ImageWriter.o \
		objs/IrregularGridded.o \
		objs/IsoLine.o \
		objs/LongTaskProgress.o \
		objs/LonLatGrid.o \
		objs/main.o \
		objs/MainWindow.o \
		objs/MapDrawer.o \
		objs/MenuBar.o \
		objs/Metar.o \
		objs/MeteoTable.o \
		objs/MeteoTableWidget.o \
		objs/MeteotableOptionsDialog.o \
		objs/Orthodromie.o \
		objs/POI.o \
		objs/POI_Editor.o \
		objs/PositionEditor.o \
		objs/Projection.o \
		objs/Projection_libproj.o \
		objs/Settings.o \
		objs/SkewT.o \
		objs/SkewTWindow.o \
		objs/Terrain.o \
		objs/Therm.o \
		objs/Util.o \
		objs/zuFile.o \
		objs/moc_PositionEditorWidget.o \
		objs/moc_ColorEditorWidget.o \
		objs/moc_LineEditorWidget.o \
		objs/moc_TextStyleEditorWidget.o \
		objs/moc_AngleConverterWidget.o \
		objs/moc_AngleConverterDialog.o \
		objs/moc_CurveDrawer.o \
		objs/moc_BoardPanel.o \
		objs/moc_ColorScaleWidget.o \
		objs/moc_DataQString.o \
		objs/moc_DateChooser.o \
		objs/moc_DialogBoxColumn.o \
		objs/moc_DialogFonts.o \
		objs/moc_DialogGraphicsParams.o \
		objs/moc_DialogLoadGRIB.o \
		objs/moc_DialogLoadIAC.o \
		objs/moc_DialogLoadMBLUE.o \
		objs/moc_DialogProxy.o \
		objs/moc_DialogSelectMetar.o \
		objs/moc_DialogServerStatus.o \
		objs/moc_DialogUnits.o \
		objs/moc_FileLoaderGRIB.o \
		objs/moc_FileLoaderIAC.o \
		objs/moc_FileLoaderMBLUE.o \
		objs/moc_GribAnimator.o \
		objs/moc_ImageWriter.o \
		objs/moc_LongTaskProgress.o \
		objs/moc_Metar.o \
		objs/moc_MeteoTable.o \
		objs/moc_MeteoTableWidget.o \
		objs/moc_MeteotableOptionsDialog.o \
		objs/moc_MainWindow.o \
		objs/moc_MapDrawer.o \
		objs/moc_MenuBar.o \
		objs/moc_POI.o \
		objs/moc_POI_Editor.o \
		objs/moc_PositionEditor.o \
		objs/moc_Projection.o \
		objs/moc_SkewT.o \
		objs/moc_Terrain.o \
		objs/moc_Util.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		zyGrib.pro
QMAKE_TARGET  = zyGrib
DESTDIR       = 
TARGET        = zyGrib

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): GUI/ui_PositionEditorWidget.h GUI/ui_PoiEditorDialog.h GUI/ui_ColorEditorWidget.h GUI/ui_LineEditorWidget.h GUI/ui_TextStyleEditorWidget.h GUI/ui_GraphicsParamsDialog.h GUI/ui_MeteotableOptionsDialog.h GUI/ui_AngleConverterWidget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zyGrib.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtXml.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile zyGrib.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtXml.prl:

=== src/bzip2/Makefile ===
#############################################################################
# Makefile for building: libbz2.a
# Generated by qmake (2.01a) (Qt 4.8.1) on: dim. sept. 30 22:22:51 2012
# Project:  bzip2.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile bzip2.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = blocksort.c \
		bzip2.c \
		bzip2recover.c \
		bzlib.c \
		compress.c \
		crctable.c \
		decompress.c \
		dlltest.c \
		huffman.c \
		mk251.c \
		randtable.c \
		unzcrash.c 
OBJECTS       = blocksort.o \
		bzip2.o \
		bzip2recover.o \
		bzlib.o \
		compress.o \
		crctable.o \
		decompress.o \
		dlltest.o \
		huffman.o \
		mk251.o \
		randtable.o \
		unzcrash.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		bzip2.pro
QMAKE_TARGET  = bz2
DESTDIR       = 
TARGET        = libbz2.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: bzip2.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile bzip2.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile bzip2.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/bz21.0.0 || $(MKDIR) .tmp/bz21.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/bz21.0.0/ && $(COPY_FILE) --parents bzlib.h bzlib_private.h .tmp/bz21.0.0/ && $(COPY_FILE) --parents blocksort.c bzip2.c bzip2recover.c bzlib.c compress.c crctable.c decompress.c dlltest.c huffman.c mk251.c randtable.c unzcrash.c .tmp/bz21.0.0/ && (cd `dirname .tmp/bz21.0.0` && $(TAR) bz21.0.0.tar bz21.0.0 && $(COMPRESS) bz21.0.0.tar) && $(MOVE) `dirname .tmp/bz21.0.0`/bz21.0.0.tar.gz . && $(DEL_FILE) -r .tmp/bz21.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

blocksort.o: blocksort.c bzlib_private.h \
		bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o blocksort.o blocksort.c

bzip2.o: bzip2.c bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o bzip2.o bzip2.c

bzip2recover.o: bzip2recover.c 
	$(CC) -c $(CFLAGS) $(INCPATH) -o bzip2recover.o bzip2recover.c

bzlib.o: bzlib.c bzlib_private.h \
		bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o bzlib.o bzlib.c

compress.o: compress.c bzlib_private.h \
		bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o compress.o compress.c

crctable.o: crctable.c bzlib_private.h \
		bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o crctable.o crctable.c

decompress.o: decompress.c bzlib_private.h \
		bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o decompress.o decompress.c

dlltest.o: dlltest.c bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o dlltest.o dlltest.c

huffman.o: huffman.c bzlib_private.h \
		bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o huffman.o huffman.c

mk251.o: mk251.c 
	$(CC) -c $(CFLAGS) $(INCPATH) -o mk251.o mk251.c

randtable.o: randtable.c bzlib_private.h \
		bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o randtable.o randtable.c

unzcrash.o: unzcrash.c bzlib.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o unzcrash.o unzcrash.c

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/zlib-1.2.3/Makefile ===
#############################################################################
# Makefile for building: libz.a
# Generated by qmake (2.01a) (Qt 4.8.1) on: dim. sept. 30 22:22:52 2012
# Project:  zlib.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile zlib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = adler32.c \
		compress.c \
		crc32.c \
		deflate.c \
		gzio.c \
		infback.c \
		inffast.c \
		inflate.c \
		inftrees.c \
		minigzip.c \
		trees.c \
		uncompr.c \
		zutil.c 
OBJECTS       = adler32.o \
		compress.o \
		crc32.o \
		deflate.o \
		gzio.o \
		infback.o \
		inffast.o \
		inflate.o \
		inftrees.o \
		minigzip.o \
		trees.o \
		uncompr.o \
		zutil.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		zlib.pro
QMAKE_TARGET  = z
DESTDIR       = 
TARGET        = libz.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: zlib.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile zlib.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile zlib.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/z1.0.0 || $(MKDIR) .tmp/z1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/z1.0.0/ && $(COPY_FILE) --parents crc32.h deflate.h inffast.h inffixed.h inflate.h inftrees.h trees.h zconf.h zconf.in.h zlib.h zutil.h .tmp/z1.0.0/ && $(COPY_FILE) --parents adler32.c compress.c crc32.c deflate.c gzio.c infback.c inffast.c inflate.c inftrees.c minigzip.c trees.c uncompr.c zutil.c .tmp/z1.0.0/ && (cd `dirname .tmp/z1.0.0` && $(TAR) z1.0.0.tar z1.0.0 && $(COMPRESS) z1.0.0.tar) && $(MOVE) `dirname .tmp/z1.0.0`/z1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/z1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

adler32.o: adler32.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o adler32.o adler32.c

compress.o: compress.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o compress.o compress.c

crc32.o: crc32.c zutil.h \
		zlib.h \
		zconf.h \
		crc32.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o crc32.o crc32.c

deflate.o: deflate.c deflate.h \
		zutil.h \
		zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o deflate.o deflate.c

gzio.o: gzio.c zutil.h \
		zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o gzio.o gzio.c

infback.o: infback.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h \
		inflate.h \
		inffast.h \
		inffixed.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o infback.o infback.c

inffast.o: inffast.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h \
		inflate.h \
		inffast.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o inffast.o inffast.c

inflate.o: inflate.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h \
		inflate.h \
		inffast.h \
		inffixed.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o inflate.o inflate.c

inftrees.o: inftrees.c zutil.h \
		zlib.h \
		zconf.h \
		inftrees.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o inftrees.o inftrees.c

minigzip.o: minigzip.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o minigzip.o minigzip.c

trees.o: trees.c deflate.h \
		zutil.h \
		zlib.h \
		zconf.h \
		trees.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o trees.o trees.c

uncompr.o: uncompr.c zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o uncompr.o uncompr.c

zutil.o: zutil.c zutil.h \
		zlib.h \
		zconf.h
	$(CC) -c $(CFLAGS) $(INCPATH) -o zutil.o zutil.c

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== src/proj-4.6.0/src/Makefile ===
#############################################################################
# Makefile for building: libproj.a
# Generated by qmake (2.01a) (Qt 4.8.1) on: dim. sept. 30 22:22:52 2012
# Project:  proj.pro
# Template: lib
# Command: /usr/bin/qmake -o Makefile proj.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = aasincos.c \
		adjlon.c \
		bch2bps.c \
		bchgen.c \
		biveval.c \
		dmstor.c \
		emess.c \
		geocent.c \
		mk_cheby.c \
		nad_cvt.c \
		nad_init.c \
		nad_intr.c \
		PJ_aea.c \
		PJ_aeqd.c \
		PJ_airy.c \
		PJ_aitoff.c \
		pj_apply_gridshift.c \
		PJ_august.c \
		pj_auth.c \
		PJ_bacon.c \
		PJ_bipc.c \
		PJ_boggs.c \
		PJ_bonne.c \
		PJ_cass.c \
		PJ_cc.c \
		PJ_cea.c \
		PJ_chamb.c \
		PJ_collg.c \
		PJ_crast.c \
		pj_datum_set.c \
		pj_datums.c \
		PJ_denoy.c \
		pj_deriv.c \
		PJ_eck1.c \
		PJ_eck2.c \
		PJ_eck3.c \
		PJ_eck4.c \
		PJ_eck5.c \
		pj_ellps.c \
		pj_ell_set.c \
		PJ_eqc.c \
		PJ_eqdc.c \
		pj_errno.c \
		pj_factors.c \
		PJ_fahey.c \
		PJ_fouc_s.c \
		pj_fwd.c \
		PJ_gall.c \
		pj_gauss.c \
		pj_geocent.c \
		PJ_geos.c \
		PJ_gins8.c \
		PJ_gnom.c \
		PJ_gn_sinu.c \
		PJ_goode.c \
		pj_gridinfo.c \
		pj_gridlist.c \
		PJ_hammer.c \
		PJ_hatano.c \
		PJ_imw_p.c \
		pj_init.c \
		pj_inv.c \
		PJ_krovak.c \
		PJ_labrd.c \
		PJ_laea.c \
		PJ_lagrng.c \
		PJ_larr.c \
		PJ_lask.c \
		pj_latlong.c \
		PJ_lcca.c \
		PJ_lcc.c \
		pj_list.c \
		PJ_loxim.c \
		PJ_lsat.c \
		pj_malloc.c \
		PJ_mbtfpp.c \
		PJ_mbtfpq.c \
		PJ_mbt_fps.c \
		PJ_merc.c \
		PJ_mill.c \
		pj_mlfn.c \
		PJ_mod_ster.c \
		PJ_moll.c \
		pj_msfn.c \
		PJ_nell_h.c \
		PJ_nell.c \
		PJ_nocol.c \
		PJ_nsper.c \
		PJ_nzmg.c \
		PJ_ob_tran.c \
		PJ_ocea.c \
		PJ_oea.c \
		PJ_omerc.c \
		pj_open_lib.c \
		PJ_ortho.c \
		pj_param.c \
		pj_phi2.c \
		PJ_poly.c \
		pj_pr_list.c \
		PJ_putp2.c \
		PJ_putp3.c \
		PJ_putp4p.c \
		PJ_putp5.c \
		PJ_putp6.c \
		pj_qsfn.c \
		pj_release.c \
		PJ_robin.c \
		PJ_rpoly.c \
		PJ_sconics.c \
		PJ_somerc.c \
		PJ_sterea.c \
		PJ_stere.c \
		pj_strerrno.c \
		PJ_sts.c \
		PJ_tcc.c \
		PJ_tcea.c \
		PJ_tmerc.c \
		PJ_tpeqd.c \
		pj_transform.c \
		pj_tsfn.c \
		pj_units.c \
		PJ_urm5.c \
		PJ_urmfps.c \
		pj_utils.c \
		PJ_vandg2.c \
		PJ_vandg4.c \
		PJ_vandg.c \
		PJ_wag2.c \
		PJ_wag3.c \
		PJ_wag7.c \
		PJ_wink1.c \
		PJ_wink2.c \
		pj_zpoly1.c \
		proj_mdist.c \
		proj_rouss.c \
		rtodms.c \
		vector1.c 
OBJECTS       = aasincos.o \
		adjlon.o \
		bch2bps.o \
		bchgen.o \
		biveval.o \
		dmstor.o \
		emess.o \
		geocent.o \
		mk_cheby.o \
		nad_cvt.o \
		nad_init.o \
		nad_intr.o \
		PJ_aea.o \
		PJ_aeqd.o \
		PJ_airy.o \
		PJ_aitoff.o \
		pj_apply_gridshift.o \
		PJ_august.o \
		pj_auth.o \
		PJ_bacon.o \
		PJ_bipc.o \
		PJ_boggs.o \
		PJ_bonne.o \
		PJ_cass.o \
		PJ_cc.o \
		PJ_cea.o \
		PJ_chamb.o \
		PJ_collg.o \
		PJ_crast.o \
		pj_datum_set.o \
		pj_datums.o \
		PJ_denoy.o \
		pj_deriv.o \
		PJ_eck1.o \
		PJ_eck2.o \
		PJ_eck3.o \
		PJ_eck4.o \
		PJ_eck5.o \
		pj_ellps.o \
		pj_ell_set.o \
		PJ_eqc.o \
		PJ_eqdc.o \
		pj_errno.o \
		pj_factors.o \
		PJ_fahey.o \
		PJ_fouc_s.o \
		pj_fwd.o \
		PJ_gall.o \
		pj_gauss.o \
		pj_geocent.o \
		PJ_geos.o \
		PJ_gins8.o \
		PJ_gnom.o \
		PJ_gn_sinu.o \
		PJ_goode.o \
		pj_gridinfo.o \
		pj_gridlist.o \
		PJ_hammer.o \
		PJ_hatano.o \
		PJ_imw_p.o \
		pj_init.o \
		pj_inv.o \
		PJ_krovak.o \
		PJ_labrd.o \
		PJ_laea.o \
		PJ_lagrng.o \
		PJ_larr.o \
		PJ_lask.o \
		pj_latlong.o \
		PJ_lcca.o \
		PJ_lcc.o \
		pj_list.o \
		PJ_loxim.o \
		PJ_lsat.o \
		pj_malloc.o \
		PJ_mbtfpp.o \
		PJ_mbtfpq.o \
		PJ_mbt_fps.o \
		PJ_merc.o \
		PJ_mill.o \
		pj_mlfn.o \
		PJ_mod_ster.o \
		PJ_moll.o \
		pj_msfn.o \
		PJ_nell_h.o \
		PJ_nell.o \
		PJ_nocol.o \
		PJ_nsper.o \
		PJ_nzmg.o \
		PJ_ob_tran.o \
		PJ_ocea.o \
		PJ_oea.o \
		PJ_omerc.o \
		pj_open_lib.o \
		PJ_ortho.o \
		pj_param.o \
		pj_phi2.o \
		PJ_poly.o \
		pj_pr_list.o \
		PJ_putp2.o \
		PJ_putp3.o \
		PJ_putp4p.o \
		PJ_putp5.o \
		PJ_putp6.o \
		pj_qsfn.o \
		pj_release.o \
		PJ_robin.o \
		PJ_rpoly.o \
		PJ_sconics.o \
		PJ_somerc.o \
		PJ_sterea.o \
		PJ_stere.o \
		pj_strerrno.o \
		PJ_sts.o \
		PJ_tcc.o \
		PJ_tcea.o \
		PJ_tmerc.o \
		PJ_tpeqd.o \
		pj_transform.o \
		pj_tsfn.o \
		pj_units.o \
		PJ_urm5.o \
		PJ_urmfps.o \
		pj_utils.o \
		PJ_vandg2.o \
		PJ_vandg4.o \
		PJ_vandg.o \
		PJ_wag2.o \
		PJ_wag3.o \
		PJ_wag7.o \
		PJ_wink1.o \
		PJ_wink2.o \
		pj_zpoly1.o \
		proj_mdist.o \
		proj_rouss.o \
		rtodms.o \
		vector1.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		proj.pro
QMAKE_TARGET  = proj
DESTDIR       = 
TARGET        = libproj.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET) 

staticlib: $(TARGET)

$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)


Makefile: proj.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile proj.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile proj.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/proj1.0.0 || $(MKDIR) .tmp/proj1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/proj1.0.0/ && $(COPY_FILE) --parents aasincos.c adjlon.c bch2bps.c bchgen.c biveval.c dmstor.c emess.c geocent.c mk_cheby.c nad_cvt.c nad_init.c nad_intr.c PJ_aea.c PJ_aeqd.c PJ_airy.c PJ_aitoff.c pj_apply_gridshift.c PJ_august.c pj_auth.c PJ_bacon.c PJ_bipc.c PJ_boggs.c PJ_bonne.c PJ_cass.c PJ_cc.c PJ_cea.c PJ_chamb.c PJ_collg.c PJ_crast.c pj_datum_set.c pj_datums.c PJ_denoy.c pj_deriv.c PJ_eck1.c PJ_eck2.c PJ_eck3.c PJ_eck4.c PJ_eck5.c pj_ellps.c pj_ell_set.c PJ_eqc.c PJ_eqdc.c pj_errno.c pj_factors.c PJ_fahey.c PJ_fouc_s.c pj_fwd.c PJ_gall.c pj_gauss.c pj_geocent.c PJ_geos.c PJ_gins8.c PJ_gnom.c PJ_gn_sinu.c PJ_goode.c pj_gridinfo.c pj_gridlist.c PJ_hammer.c PJ_hatano.c PJ_imw_p.c pj_init.c pj_inv.c PJ_krovak.c PJ_labrd.c PJ_laea.c PJ_lagrng.c PJ_larr.c PJ_lask.c pj_latlong.c PJ_lcca.c PJ_lcc.c pj_list.c PJ_loxim.c PJ_lsat.c pj_malloc.c PJ_mbtfpp.c PJ_mbtfpq.c PJ_mbt_fps.c PJ_merc.c PJ_mill.c pj_mlfn.c PJ_mod_ster.c PJ_moll.c pj_msfn.c PJ_nell_h.c PJ_nell.c PJ_nocol.c PJ_nsper.c PJ_nzmg.c PJ_ob_tran.c PJ_ocea.c PJ_oea.c PJ_omerc.c pj_open_lib.c PJ_ortho.c pj_param.c pj_phi2.c PJ_poly.c pj_pr_list.c PJ_putp2.c PJ_putp3.c PJ_putp4p.c PJ_putp5.c PJ_putp6.c pj_qsfn.c pj_release.c PJ_robin.c PJ_rpoly.c PJ_sconics.c PJ_somerc.c PJ_sterea.c PJ_stere.c pj_strerrno.c PJ_sts.c PJ_tcc.c PJ_tcea.c PJ_tmerc.c PJ_tpeqd.c pj_transform.c pj_tsfn.c pj_units.c PJ_urm5.c PJ_urmfps.c pj_utils.c PJ_vandg2.c PJ_vandg4.c PJ_vandg.c PJ_wag2.c PJ_wag3.c PJ_wag7.c PJ_wink1.c PJ_wink2.c pj_zpoly1.c proj_mdist.c proj_rouss.c rtodms.c vector1.c .tmp/proj1.0.0/ && (cd `dirname .tmp/proj1.0.0` && $(TAR) proj1.0.0.tar proj1.0.0 && $(COMPRESS) proj1.0.0.tar) && $(MOVE) `dirname .tmp/proj1.0.0`/proj1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/proj1.0.0

=== debian/changelog ===
zygrib (6.0.2-1) unstable; urgency=low

  * New upstream release. Closes: #689721, 686527.
  * Now B-D on libqwt6-dev; Depend on fonts-liberation.
  * Standards-Version: 3.9.3

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Oct 2012 19:30:33 +0100

=== debian/control ===
Source: zygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: cdbs, debhelper (>> 7), dh-buildinfo, libz-dev, libbz2-dev, libproj-dev, libqt4-dev, qt4-dev-tools, libqwt-dev
Standards-Version: 3.9.3
Homepage: http://www.zygrib.org/

Package: zygrib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, zygrib-maps, fonts-liberation
Description: Weather data visualization,  GRIB file viewer
 This application, written with the Qt toolkit, enables:
  * Visualisation of meteo data from files in GRIB Format 1
  * Automatic GRIB data download
  * Automatic Download from IAC (fleetcode) Data


Package: zygrib-maps
Architecture: all
Depends: ${misc:Depends}
Description: Maps for zyGrib weather visualization
 This contains maps and country names used by zyGrib.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS += -fPIC

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean


build/zygrib::
	cd src ; qmake-qt4 -o Makefile zyGrib.pro; $(MAKE)

clean::
	# cd src ; qmake-qt4 -o Makefile zyGrib.pro; $(MAKE) clean
	rm -f  src/objs/* src/zyGrib

install::
	mv debian/zygrib/usr/bin/zyGrib debian/zygrib/usr/bin/zygrib

# Store build information
common-binary-post-install-arch common-binary-post-install-indep::
	dh_buildinfo
